function isvalid = SCDsignal_isvalid(SCDsignals)

% true if GOOD and RUNNING
isvalid = false(size(SCDsignals));

for ii=1:numel(SCDsignals)
  isRunning = int8(SCDsignals(ii).ProductionState) == int8(ProductionState.RUNNING);
  isGood    = int8(SCDsignals(ii).QualityTag)      == int8(QualityTag.GOOD);
  isvalid(ii) = isRunning & isGood;
end
end